| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Media Server

Media Server and Media Server Circuits Definitions and Methods. More...

## Classes
struct | unsp__MediaGatewayNetworkTypes
| Media Gateway Network Types. More...
struct | unsp__MediaGatewayGwAttributes
| Media Gateway Attributes. More...
class | unsp__CreateMediaGatewayRequest
| Create Media Gateway request. More...
struct | unsp__CreateMediaGatewayResult
| Create Media Gateway result. More...
class | unsp__ModifyMediaGatewayRequest
| Modify Media Gateway request. More...
struct | unsp__ModifyMediaGatewayResult
| Modify Media Gateway result. More...
class | unsp__RemoveMediaGatewayRequest
| Remove Media Gateway request. More...
struct | unsp__RemoveMediaGatewayResult
| Remove Media Gateway result. More...
class | unsp__BlockMediaGatewayRequest
| Block Media Gateway request. More...
struct | unsp__BlockMediaGatewayResult
| Block Media Gateway result. More...
class | unsp__QueryMediaGatewayRequest
| Query Media Gateway request. More...
class | unsp__MediaGateway
| Media Gateway data. More...
class | unsp__ArrayOfMediaGateway
| Array of Media Gateways. More...
struct | unsp__MediaGatewayResult
| Media Gateway result. More...
class | unsp__CreateMediaGatewayCircuitsRequest
| Create Media Gateway Circuits request. More...
struct | unsp__CreateMediaGatewayCircuitsResult
| Create Media Gateway Circuits result. More...
class | unsp__RemoveMediaGatewayCircuitsRequest
| Remove Media Gateway Circuits request. More...
struct | unsp__RemoveMediaGatewayCircuitsResult
| Remove Media Gateway Circuits result. More...
class | unsp__QueryMediaGatewayCircuitsRequest
| Query Media Gateway Circuits request. More...
class | unsp__MediaGatewayCircuits
| Media Gateway Circuits. More...
class | unsp__ArrayOfMediaGatewayCircuits
| Array of Media Gateway Circuits. More...
struct | unsp__MediaGatewayCircuitsResult
| Query Media Gateway Circuits result. More...

## Enumerations
enum | unsp__GatewayProtocolType { GptUnknown = -2, GptUndefined = -1, GptOther, GptMgcp = 1, GptMegaco, GptSip }
| Media Gateway Protocol Type. More...
enum | unsp__GatewayProtocolVersion { GpVerUnused = -1, GpVerMgcp0Dot0, GpVerMgcp0Dot1, GpVerMgcp1Dot0NCS1Dot0, GpVerMgcp1Dot0, GpVerMgcp0Dot5, GpVerMgcp1Dot0Tgcp1Dot0, GpVerMegaco1Dot0 = 11 }
| Media Gateway Protocol Version. More...
enum | unsp__GatewayUsageType { GwUsageTypeTrunking = 1, GwUsageTypeResidential, GwUsageTypeMediaServer, GwUsageTypeUndefined = -1 }
| Media Gateway Usage Type. More...
enum | unsp__IPAddressAllocMethod { IpAmUndefined = -1, IpAmDnsQuery = 1, IpAmStatic }
| IP Address Allocation method. More...
enum | unsp__GatewayAssignmentMethod { GwAmUndefined = -1, GwAmAutomatic = 1, GwAmNodePrimary, GwAmNodeSecondary }
| Gateway Assignment method. More...
enum | unsp__GatewayType { GwTypeUnkown = 0, GwTypeSmx2100 = 1, GwTypeMgOther, GwTypeHig1100, GwTypeHig1400, GwTypeATA, GwTypeUndefined = -1 }
enum | unsp__CircuitAssignment { CircuitUnused = -1, CircuitDoesNotExist, CircuitNone, CircuitTrunk, CircuitPri, CircuitLine, CircuitMedia, CircuitMsAnn, CircuitMsSurv, CircuitMsConf, CircuitMsConfAdhoc, CircuitMsAudit }
| Circuit Assignment. More...
enum | unsp__TrunkGroupNo { TrunkGroupNoForMsUndefined = -1, TrunkGroupNoForMsAny = -300, TrunkGroupNoForMsAnn = -400, TrunkGroupNoForMsSurv = -500, TrunkGroupNoForMsConf = -600, TrunkGroupNoForMsConfAdhoc = -700, TrunkGroupNoForMsAudit = -800 }
enum | unsp__ResourceType { ResTypeDestination, ResTypeRoute, ResTypeSignalprofile, ResTypeTrunkgroup, ResTypeTrunk, ResTypeMediagateway, ResTypeMgCircuit, ResTypeMgCirDs1, ResTypeCallProfile, ResTypeHuntGroup, ResTypeNfasGroup, ResTypePri, ResTypeBch, ResTypeDnm, ResTypeAccCategory, ResTypeGlobalAssign, ResTypeMassProvision, ResTypePrids0, ResTypeLine, ResTypeDs0status, ResTypeObjectCount, ResTypeHandlingGroup, ResTypeProvCtrl, ResTypeCmts, ResTypeNtmTgrpCtl, ResTypeNtmCtl, ResTypeRks, ResTypeMgCirDs0, ResTypeDf, ResTypeDfdn, ResTypeSecendpt, ResTypeFilterules, ResTypeSipept, ResTypeUndefined = -1 }
enum | unsp__GatewayThreeWayHandsShake { ThreeWayHandsShakeOn = 1, ThreeWayHandsShakeOff = 2, ThreeWayHandsShakeUndefined = -1 }
enum | unsp__GatewayKeepAlive { GatewayKeepAliveOn = 1, GatewayKeepAliveOff, GatewayKeepAliveUndefined = -1 }
| Gateway Keep Alive. More...
enum | unsp__MSVersion { MsVerUndefined = -1, MsVerUnknown = 0, MsVer1DotX = 1, MsVer2DotX }
enum | unsp__ResourceStatus { RsUnassigned = -1, RsUnknown = 0, RsAvailable = 1, RsBlocked }
| Resource Status. More...
enum | unsp__DtmfRelay { DtmfUnassigned = -1, DtmfEnabled = 1, DtmfDisabled }
enum | unsp__T38FaxRelay { T38FaxUnassigned = -1, T38FaxEnabled = 1, T38FaxDisabled }
enum | unsp__MultiHoming { MultiHomingEnabled = 1, MultiHomingDisabled = 0, MultiHomingUndefined = -1 }
| Multi Homing. More...
enum | unsp__OverLoadStatus { OverLoadUnassigned = -1, OverLoadL0, OverLoadL1, OverLoadL2, OverLoadL3 }
| Media Gateway Overload Status. More...

## Functions
int | unsp__createMediaGateway (unsp__CreateMediaGatewayRequest CreateMediaGatewayRequest, struct unsp__CreateMediaGatewayResult *CreateMediaGatewayResult)
| Creates a Media Server. More...
int | unsp__modifyMediaGateway (unsp__ModifyMediaGatewayRequest ModifyMediaGatewayRequest, struct unsp__ModifyMediaGatewayResult *ModifyMediaGatewayResult)
| Modifies a Media Server. More...
int | unsp__removeMediaGateway (unsp__RemoveMediaGatewayRequest RemoveMediaGatewayRequest, struct unsp__RemoveMediaGatewayResult *RemoveMediaGatewayResult)
| Removes a Media Server. More...
int | unsp__blockMediaGateway (unsp__BlockMediaGatewayRequest BlockMediaGatewayRequest, struct unsp__BlockMediaGatewayResult *BlockMediaGatewayResult)
| Blocks or unblocks a Media Server. More...
int | unsp__queryMediaGateway (unsp__QueryMediaGatewayRequest QueryMediaGatewayRequest, struct unsp__MediaGatewayResult *QueryMediaGatewayResult)
| Queries Media Servers. More...
int | unsp__createMediaGatewayCircuits (unsp__CreateMediaGatewayCircuitsRequest CreateMediaGatewayCircuitsRequest, struct unsp__CreateMediaGatewayCircuitsResult *CreateMediaGatewayCircuitsResult)
| Creates Media Gateway Circuits. More...
int | unsp__removeMediaGatewayCircuits (unsp__RemoveMediaGatewayCircuitsRequest RemoveMediaGatewayCircuitsRequest, struct unsp__RemoveMediaGatewayCircuitsResult *RemoveMediaGatewayCircuitsResult)
| Removes Media Gateway Circuits. More...
int | unsp__queryMediaGatewayCircuits (unsp__QueryMediaGatewayCircuitsRequest QueryMediaGatewayCircuitsRequest, struct unsp__MediaGatewayCircuitsResult *QueryMediaGatewayCircuitsResult)
| Queries Media Gateway Circuits. More...

## Detailed Description

Media Server and Media Server Circuits Definitions and Methods.

The OpenScape Voice media services are provided by at least one independent Media server. The functions of this Media Server are controlled by OpenScape Voice via the Media Gateway Control Protocol (MGCP). The Media Server respectively used provides OpenScape Voice with the following general media services:

- Playback of tones and system announcements
- Playback of music-on-hold
- Managing device-controlled audio conferences of OpenScape Voice (large conferencing)
- Monitoring the telecommunication according to Communications Assistance for Law Enforcement Act (CALEA)

Supported media servers are OpenScape Media Server and Convedia Media Server.

## Enumeration Type Documentation

## ◆ unsp__CircuitAssignment

enum unsp__CircuitAssignment

Circuit Assignment.

Enumerator
CircuitUnused | Unused.
CircuitDoesNotExist | Non Existing.
CircuitNone | Deprecated: NA
CircuitTrunk | Deprecated: NA
CircuitPri | Deprecated: NA
CircuitLine | Deprecated: NA
CircuitMedia | Deprecated: NA
CircuitMsAnn | Announcement.
CircuitMsSurv | Surveillance.
CircuitMsConf | Conference.
CircuitMsConfAdhoc | Deprecated: NA
CircuitMsAudit | Audit.

## ◆ unsp__DtmfRelay

enum unsp__DtmfRelay

Deprecated:
  NA.

## ◆ unsp__GatewayAssignmentMethod

enum unsp__GatewayAssignmentMethod

Gateway Assignment method.

Enumerator
GwAmUndefined | Undefined.
GwAmAutomatic | Automatic.
GwAmNodePrimary | Node Primary.
GwAmNodeSecondary | Node Secondary.

## ◆ unsp__GatewayKeepAlive

enum unsp__GatewayKeepAlive

Gateway Keep Alive.

Enumerator
GatewayKeepAliveOn | On.
GatewayKeepAliveOff | Off.

## ◆ unsp__GatewayProtocolType

enum unsp__GatewayProtocolType

Media Gateway Protocol Type.

Enumerator
GptUnknown | Unknown.
GptUndefined | Undefined.
GptOther | Other.
GptMgcp | MGCP.
GptMegaco | MEGACO.
GptSip | SIP.

## ◆ unsp__GatewayProtocolVersion

enum unsp__GatewayProtocolVersion

Media Gateway Protocol Version.

Enumerator
GpVerUnused | Unused.
GpVerMgcp0Dot0 | MGCP 0.0.
GpVerMgcp0Dot1 | MGCP 0.1.
GpVerMgcp1Dot0NCS1Dot0 | MGCP 1.0 NCS 1.0.
GpVerMgcp1Dot0 | MGCP 1.0.
GpVerMgcp0Dot5 | MGCP 0.5.
GpVerMgcp1Dot0Tgcp1Dot0 | MGCP 1.0 TGCP 1.0.
GpVerMegaco1Dot0 | MEGACO 1.0.

## ◆ unsp__GatewayThreeWayHandsShake

enum unsp__GatewayThreeWayHandsShake

Deprecated:
  NA.

## ◆ unsp__GatewayType

enum unsp__GatewayType

Deprecated:
  NA.

## ◆ unsp__GatewayUsageType

enum unsp__GatewayUsageType

Media Gateway Usage Type.

Enumerator
GwUsageTypeTrunking | Trunking.
GwUsageTypeResidential | Residential.
GwUsageTypeMediaServer | Media Server.
GwUsageTypeUndefined | Undefined.

## ◆ unsp__IPAddressAllocMethod

enum unsp__IPAddressAllocMethod

IP Address Allocation method.

Enumerator
IpAmUndefined | Undefined.
IpAmDnsQuery | DNS Query.
IpAmStatic | Static.

## ◆ unsp__MSVersion

enum unsp__MSVersion

Deprecated:
  NA.

## ◆ unsp__MultiHoming

enum unsp__MultiHoming

Multi Homing.

Enumerator
MultiHomingEnabled | Enabled.
MultiHomingDisabled | Disabled.
MultiHomingUndefined | Undefined.

## ◆ unsp__OverLoadStatus

enum unsp__OverLoadStatus

Media Gateway Overload Status.

Enumerator
OverLoadUnassigned | Unassigned.
OverLoadL0 | Level 0.
OverLoadL1 | Level 1.
OverLoadL2 | Level 2.
OverLoadL3 | Level 3.

## ◆ unsp__ResourceStatus

enum unsp__ResourceStatus

Resource Status.

## ◆ unsp__ResourceType

enum unsp__ResourceType

Deprecated:
  NA.

## ◆ unsp__T38FaxRelay

enum unsp__T38FaxRelay

Deprecated:
  NA.

## ◆ unsp__TrunkGroupNo

enum unsp__TrunkGroupNo

Deprecated:
  NA.

## Function Documentation

## ◆ unsp__blockMediaGateway()

unsp__blockMediaGateway | ( | unsp__BlockMediaGatewayRequest | BlockMediaGatewayRequest,
|  | struct unsp__BlockMediaGatewayResult * | BlockMediaGatewayResult
| ) |  |

Blocks or unblocks a Media Server.

Parameters

  BlockMediaGatewayRequest | API request
  BlockMediaGatewayResult | API result MP2 command: BlockMediaGateway [Attributes]

## ◆ unsp__createMediaGateway()

unsp__createMediaGateway | ( | unsp__CreateMediaGatewayRequest | CreateMediaGatewayRequest,
|  | struct unsp__CreateMediaGatewayResult * | CreateMediaGatewayResult
| ) |  |

Creates a Media Server.

Parameters

  CreateMediaGatewayRequest | API request
  CreateMediaGatewayResult | API result MP2 command: MediaGateway [Attributes]

## ◆ unsp__createMediaGatewayCircuits()

unsp__createMediaGatewayCircuits | ( | unsp__CreateMediaGatewayCircuitsRequest | CreateMediaGatewayCircuitsRequest,
|  | struct unsp__CreateMediaGatewayCircuitsResult * | CreateMediaGatewayCircuitsResult
| ) |  |

Creates Media Gateway Circuits.

Parameters

  CreateMediaGatewayCircuitsRequest | API request
  CreateMediaGatewayCircuitsResult | API result MP2 command: MediaGatewayCircuits [Attributes]

## ◆ unsp__modifyMediaGateway()

unsp__modifyMediaGateway | ( | unsp__ModifyMediaGatewayRequest | ModifyMediaGatewayRequest,
|  | struct unsp__ModifyMediaGatewayResult * | ModifyMediaGatewayResult
| ) |  |

Modifies a Media Server.

Parameters

  ModifyMediaGatewayRequest | API request
  ModifyMediaGatewayResult | API result MP2 command: ModifyMediaGateway [Attributes]

## ◆ unsp__queryMediaGateway()

unsp__queryMediaGateway | ( | unsp__QueryMediaGatewayRequest | QueryMediaGatewayRequest,
|  | struct unsp__MediaGatewayResult * | QueryMediaGatewayResult
| ) |  |

Queries Media Servers.

Parameters

  QueryMediaGatewayRequest | API request
  QueryMediaGatewayResult | API result

## ◆ unsp__queryMediaGatewayCircuits()

unsp__queryMediaGatewayCircuits | ( | unsp__QueryMediaGatewayCircuitsRequest | QueryMediaGatewayCircuitsRequest,
|  | struct unsp__MediaGatewayCircuitsResult * | QueryMediaGatewayCircuitsResult
| ) |  |

Queries Media Gateway Circuits.

Parameters

  QueryMediaGatewayCircuitsRequest | API request
  QueryMediaGatewayCircuitsResult | API result

## ◆ unsp__removeMediaGateway()

unsp__removeMediaGateway | ( | unsp__RemoveMediaGatewayRequest | RemoveMediaGatewayRequest,
|  | struct unsp__RemoveMediaGatewayResult * | RemoveMediaGatewayResult
| ) |  |

Removes a Media Server.

Parameters

  RemoveMediaGatewayRequest | API request
  RemoveMediaGatewayResult | API result MP2 command: RemoveMediaGateway [Attributes]

## ◆ unsp__removeMediaGatewayCircuits()

unsp__removeMediaGatewayCircuits | ( | unsp__RemoveMediaGatewayCircuitsRequest | RemoveMediaGatewayCircuitsRequest,
|  | struct unsp__RemoveMediaGatewayCircuitsResult * | RemoveMediaGatewayCircuitsResult
| ) |  |

Removes Media Gateway Circuits.

Parameters

  RemoveMediaGatewayCircuitsRequest | API request
  RemoveMediaGatewayCircuitsResult | API result MP2 command: RemoveMediaGatewayCircuits [Attributes]